xcb_xfixes_create_region(3)

NAME
xcb_xfixes_create_region -

SYNOPSIS
#include <xcb/xfixes.h>

  Request function

xcb_void_cookie_t xcb_xfixes_create_region(xcb_connection_t *conn, xcb_xfixes_region_t region, uint32_t rectangles_len, const xcb_rectangle_t *rectangles);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

region
    TODO: NOT YET DOCUMENTED.

rectangles_len
    TODO: NOT YET DOCUMENTED.

rectangles
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop.

If you want to handle errors directly with xcb_request_check instead, use xcb_xfixes_create_region_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xfixes.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.